import mx.collections.ArrayCollection;
// --- 編集対象となるリスト
private var list_data:ArrayCollection
// --- 編集のための関数
private function initList():void {
    // 大本のデータを作成
    list_data = new ArrayCollection();
    // リストに設定
    a_list.dataProvider = list_data;
    // 適当にデータを追加
    for (var i:int = 0; i < 5; i++) insertNewItem();
}
private function insertNewItem():void {
    // 適当なデータを追加
    var n:Number = Math.floor(Math.random() * 100);
    var new_item:Object = new Object();
    new_item.label = "サンプル" + n;
    new_item.data  = n;
    list_data.addItem(new_item);
}
private function showItem():void {
    // 選択しているアイテムを表示
    var sel:Object = a_list.selectedItem;
    if (sel == null) return;
    label_txt.text = sel.label;
    value_txt.text = String(sel.data);
}
private function removeItem():void {
    // 選択しているアイテムを削除
    var index:int = a_list.selectedIndex;
    if (index < 0) return;
    list_data.removeItemAt(index);
}
private function moveToUp():void {
    // 選択しているアイテムを上に移動
    var index:int = a_list.selectedIndex;
    if (index <= 0) return;
    var item:Object = list_data.removeItemAt(index);
    list_data.addItemAt(item, index - 1);
    a_list.selectedItem = item;
}
private function moveToDown():void {
    // 選択しているアイテムを下に移動
    var index:int = a_list.selectedIndex;
    if (index < 0) return;
    if (index >= list_data.length-1) return;
    var item:Object = list_data.removeItemAt(index);
    list_data.addItemAt(item, index + 1);
    a_list.selectedItem = item;
}
private function editItem():void {
    // アイテムの内容を編集
    // 選択しているアイテムを表示
    var sel:Object = a_list.selectedItem;
    if (sel == null) return;
    sel.label = label_txt.text;
    sel.data = value_txt.text;
    list_data.refresh();
}
private function convertToText():void {
    var txt:String = "<mx:ArrayCollection>\n";
    for (var i:int = 0; i < list_data.length; i++) {
        var item:Object = list_data.getItemAt(i);
        txt += "<mx:Object label='" + item.label + "' ";
        txt += "data='" + item.data + "'/>\n";
    }
    txt += "</mx:ArrayCollection>\n";
    result_txt.text = txt;
}
