// ActionScript file

import mx.formatters.DateFormatter;
import mx.events.DragEvent;
import mx.managers.DragManager;
import mx.core.UIComponent;

private var last_todo_id:int = 3;
private var save_so:SharedObject;

private function initApp():void {
    mode_accordion.selectedIndex = 0;
    save_so = SharedObject.getLocal("todo.data");
    loadFromStrage();
}

private function updateItem(name:String, value:*):void {
    if (todo_grid.selectedItem == null) return;
    todo_grid.selectedItem[name] = value;
    todo_items.refresh();
    saveToStrage();
}

private function insertNewItem():void {
    var nextweek:Date = new Date();
    nextweek.time += 1000 * 60 * 60 * 24 * 7;
    var fmt:DateFormatter = new DateFormatter();
    fmt.formatString = "YYYY/MM/DD";
    
    todo_items.addItem({
        todo_id:last_todo_id,
        text:"新規TODO" + last_todo_id,
        icon:"info",
        level:1,
        limit:fmt.format(nextweek)
        });
    last_todo_id++;
    mode_accordion.selectedIndex = 0;
    saveToStrage();
}

private function editItem():void {
    if (todo_grid.selectedIndex < 0) return;
    mode_accordion.selectedIndex = 1;
}

private function deleteItem():void {
    if (todo_grid.selectedIndex < 0) return;
    todo_items.removeItemAt(todo_grid.selectedIndex);
    saveToStrage();
}

private function acceptDrop(event:DragEvent):void {
    DragManager.acceptDragDrop(event.currentTarget as UIComponent);
}

private function saveToStrage():void {
    save_so.data.items = todo_items;
}

private function loadFromStrage():void {
    if (save_so.data.items) {
        todo_items = save_so.data.items;
    }
}

